Loading...
Searching...
No Matches
jni::NativePeerFunctionPointerMethod< R(JNIEnv &, P &, Args...), method > Class Template Reference

`#include <native_method.hpp>`

## Public Member Functions

| NativePeerFunctionPointerMethod (const char *n)
template<class Peer, class TagType, class = std::enable_if_t< std::is_same<P, Peer>::value >>
auto | operator() (const Field< TagType, jlong > &field)

## Constructor & Destructor Documentation

## NativePeerFunctionPointerMethod()

template<class R, class P, class... Args, R(*)(JNIEnv &, P &, Args...) method>

jni::NativePeerFunctionPointerMethod< R(JNIEnv &, P &, Args...), method >::NativePeerFunctionPointerMethod | ( | const char * | n | ) |

inline

## Member Function Documentation

## operator()()

template<class R, class P, class... Args, R(*)(JNIEnv &, P &, Args...) method>
template<class Peer, class TagType, class = std::enable_if_t< std::is_same<P, Peer>::value >>

auto jni::NativePeerFunctionPointerMethod< R(JNIEnv &, P &, Args...), method >::operator() | ( | const Field< TagType, jlong > & | field | ) |

inline

The documentation for this class was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/native_method.hpp